Class CompositeHealthCheckList.Builder (1.101.0)

public static final class CompositeHealthCheckList.Builder extends GeneratedMessage.Builder<CompositeHealthCheckList.Builder> implements CompositeHealthCheckListOrBuilder

Protobuf type google.cloud.compute.v1.CompositeHealthCheckList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends CompositeHealthCheck> values)

public CompositeHealthCheckList.Builder addAllItems(Iterable<? extends CompositeHealthCheck> values)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.CompositeHealthCheck>
Returns
Type Description
CompositeHealthCheckList.Builder

addItems(CompositeHealthCheck value)

public CompositeHealthCheckList.Builder addItems(CompositeHealthCheck value)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
value CompositeHealthCheck
Returns
Type Description
CompositeHealthCheckList.Builder

addItems(CompositeHealthCheck.Builder builderForValue)

public CompositeHealthCheckList.Builder addItems(CompositeHealthCheck.Builder builderForValue)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
builderForValue CompositeHealthCheck.Builder
Returns
Type Description
CompositeHealthCheckList.Builder

addItems(int index, CompositeHealthCheck value)

public CompositeHealthCheckList.Builder addItems(int index, CompositeHealthCheck value)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameters
Name Description
index int
value CompositeHealthCheck
Returns
Type Description
CompositeHealthCheckList.Builder

addItems(int index, CompositeHealthCheck.Builder builderForValue)

public CompositeHealthCheckList.Builder addItems(int index, CompositeHealthCheck.Builder builderForValue)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameters
Name Description
index int
builderForValue CompositeHealthCheck.Builder
Returns
Type Description
CompositeHealthCheckList.Builder

addItemsBuilder()

public CompositeHealthCheck.Builder addItemsBuilder()

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Returns
Type Description
CompositeHealthCheck.Builder

addItemsBuilder(int index)

public CompositeHealthCheck.Builder addItemsBuilder(int index)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
CompositeHealthCheck.Builder

build()

public CompositeHealthCheckList build()
Returns
Type Description
CompositeHealthCheckList

buildPartial()

public CompositeHealthCheckList buildPartial()
Returns
Type Description
CompositeHealthCheckList

clear()

public CompositeHealthCheckList.Builder clear()
Returns
Type Description
CompositeHealthCheckList.Builder
Overrides

clearId()

public CompositeHealthCheckList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

clearItems()

public CompositeHealthCheckList.Builder clearItems()

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Returns
Type Description
CompositeHealthCheckList.Builder

clearKind()

public CompositeHealthCheckList.Builder clearKind()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

clearNextPageToken()

public CompositeHealthCheckList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

public CompositeHealthCheckList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

clearWarning()

public CompositeHealthCheckList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
CompositeHealthCheckList.Builder

getDefaultInstanceForType()

public CompositeHealthCheckList getDefaultInstanceForType()
Returns
Type Description
CompositeHealthCheckList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public CompositeHealthCheck getItems(int index)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
CompositeHealthCheck

getItemsBuilder(int index)

public CompositeHealthCheck.Builder getItemsBuilder(int index)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
CompositeHealthCheck.Builder

getItemsBuilderList()

public List<CompositeHealthCheck.Builder> getItemsBuilderList()

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Returns
Type Description
int

getItemsList()

public List<CompositeHealthCheck> getItemsList()

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Returns
Type Description
List<CompositeHealthCheck>

getItemsOrBuilder(int index)

public CompositeHealthCheckOrBuilder getItemsOrBuilder(int index)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
CompositeHealthCheckOrBuilder

getItemsOrBuilderList()

public List<? extends CompositeHealthCheckOrBuilder> getItemsOrBuilderList()

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Returns
Type Description
List<? extends com.google.cloud.compute.v1.CompositeHealthCheckOrBuilder>

getKind()

public String getKind()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
String

The kind.

getKindBytes()

public ByteString getKindBytes()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
ByteString

The bytes for kind.

getNextPageToken()

public String getNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
String

The nextPageToken.

getNextPageTokenBytes()

public ByteString getNextPageTokenBytes()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
ByteString

The bytes for nextPageToken.

public String getSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
String

The selfLink.

getSelfLinkBytes()

public ByteString getSelfLinkBytes()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
ByteString

The bytes for selfLink.

getWarning()

public Warning getWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
Warning

The warning.

getWarningBuilder()

public Warning.Builder getWarningBuilder()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
Warning.Builder

getWarningOrBuilder()

public WarningOrBuilder getWarningOrBuilder()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
WarningOrBuilder

hasId()

public boolean hasId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
boolean

Whether the id field is set.

hasKind()

public boolean hasKind()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
boolean

Whether the kind field is set.

hasNextPageToken()

public boolean hasNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
boolean

Whether the nextPageToken field is set.

public boolean hasSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
boolean

Whether the selfLink field is set.

hasWarning()

public boolean hasWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
boolean

Whether the warning field is set.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(CompositeHealthCheckList other)

public CompositeHealthCheckList.Builder mergeFrom(CompositeHealthCheckList other)
Parameter
Name Description
other CompositeHealthCheckList
Returns
Type Description
CompositeHealthCheckList.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public CompositeHealthCheckList.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
CompositeHealthCheckList.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public CompositeHealthCheckList.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
CompositeHealthCheckList.Builder
Overrides

mergeWarning(Warning value)

public CompositeHealthCheckList.Builder mergeWarning(Warning value)

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
value Warning
Returns
Type Description
CompositeHealthCheckList.Builder

removeItems(int index)

public CompositeHealthCheckList.Builder removeItems(int index)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
CompositeHealthCheckList.Builder

setId(String value)

public CompositeHealthCheckList.Builder setId(String value)

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Parameter
Name Description
value String

The id to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

setIdBytes(ByteString value)

public CompositeHealthCheckList.Builder setIdBytes(ByteString value)

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Parameter
Name Description
value ByteString

The bytes for id to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

setItems(int index, CompositeHealthCheck value)

public CompositeHealthCheckList.Builder setItems(int index, CompositeHealthCheck value)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameters
Name Description
index int
value CompositeHealthCheck
Returns
Type Description
CompositeHealthCheckList.Builder

setItems(int index, CompositeHealthCheck.Builder builderForValue)

public CompositeHealthCheckList.Builder setItems(int index, CompositeHealthCheck.Builder builderForValue)

A list of CompositeHealthCheck resources.

repeated .google.cloud.compute.v1.CompositeHealthCheck items = 100526016;

Parameters
Name Description
index int
builderForValue CompositeHealthCheck.Builder
Returns
Type Description
CompositeHealthCheckList.Builder

setKind(String value)

public CompositeHealthCheckList.Builder setKind(String value)

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Parameter
Name Description
value String

The kind to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

setKindBytes(ByteString value)

public CompositeHealthCheckList.Builder setKindBytes(ByteString value)

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Parameter
Name Description
value ByteString

The bytes for kind to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

setNextPageToken(String value)

public CompositeHealthCheckList.Builder setNextPageToken(String value)

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Parameter
Name Description
value String

The nextPageToken to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

setNextPageTokenBytes(ByteString value)

public CompositeHealthCheckList.Builder setNextPageTokenBytes(ByteString value)

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Parameter
Name Description
value ByteString

The bytes for nextPageToken to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

public CompositeHealthCheckList.Builder setSelfLink(String value)

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Parameter
Name Description
value String

The selfLink to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

setSelfLinkBytes(ByteString value)

public CompositeHealthCheckList.Builder setSelfLinkBytes(ByteString value)

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Parameter
Name Description
value ByteString

The bytes for selfLink to set.

Returns
Type Description
CompositeHealthCheckList.Builder

This builder for chaining.

setWarning(Warning value)

public CompositeHealthCheckList.Builder setWarning(Warning value)

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
value Warning
Returns
Type Description
CompositeHealthCheckList.Builder

setWarning(Warning.Builder builderForValue)

public CompositeHealthCheckList.Builder setWarning(Warning.Builder builderForValue)

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Parameter
Name Description
builderForValue Warning.Builder
Returns
Type Description
CompositeHealthCheckList.Builder